Skip to content

Your data / PVP tracker / Opponents

GET
https://ba.joexyz.online/api/v1/me/pvp/seasons/:seasonId/enemy-presets

Lists opponent presets, most recently recorded first. Results are paginated: follow pagination.nextCursor while pagination.hasMore is true.

Parameters

  • seasonId (path): The season id.
  • search: Only presets whose name contains this text.
  • limit: Page size, 1–100. Defaults to 50.
  • cursor: The pagination.nextCursor of the previous page.

Authentication

Bearer Token — send Authorization: Bearer <token>. Inherited from folder "Your data".

Path parameters

NameValue
seasonId

Query parameters

NameValue
search
limit20
cursor
curl 'https://ba.joexyz.online/api/v1/me/pvp/seasons/:seasonId/enemy-presets?search=&limit=20&cursor=' \
  -H 'Authorization: Bearer {{api_key}}'
Response
{
  "data": [
    {
      "id": "md72rqbddfd4jdhq9e32xxq62n8e81q1",
      "createdAt": "2026-09-12T18:28:33.292Z",
      "name": "ペロロ推し",
      "latestTeam": [
        {
          "studentId": "iori"
        },
        {
          "studentId": "eimi"
        },
        {
          "studentId": "hoshino_battle_dealer"
        },
        {
          "studentId": "hoshino"
        },
        {
          "studentId": "michiru_dress"
        },
        {
          "studentId": "atsuko_swimsuit"
        }
      ],
      "opponentName": "ペロロ推し",
      "opponentStudentRepId": "hoshino",
      "seasonId": "kh73y62jqqhmwbxbnrtpdfe7w18dydwx"
    },
    {
      "id": "md701vx3r0hk9rdpfvrgma0bcn8e8xp9",
      "createdAt": "2026-09-12T18:27:45.364Z",
      "name": "Shirokoyo",
      "latestTeam": [
        {
          "studentId": "hanako_swimsuit"
        },
        {
          "studentId": "hoshino"
        },
        {
          "studentId": "shun"
        },
        {
          "studentId": "eimi"
        },
        {
          "studentId": "michiru_dress"
        },
        {
          "studentId": "hibiki"
        }
      ],
      "opponentName": "Shirokoyo",
      "opponentStudentRepId": "izuna",
      "seasonId": "kh73y62jqqhmwbxbnrtpdfe7w18dydwx"
    }
  ],
  "pagination": {
    "hasMore": true,
    "nextCursor": "[\"jd7erxxxq9g5dt2hkdmsmwamhs7m2aw1\",\"kh73y62jqqhmwbxbnrtpdfe7w18dydwx\",\"undefined\",1789237665364.2588,\"md701vx3r0hk9rdpfvrgma0bcn8e8xp9\"]"
  }
}

Joe's Blue Archive Tools API · exported Nov 1, 2026

llms.txtBuilt with yaakdoc